<template>
  <el-dialog
    title="Удаление операции"
    :visible.sync="dialogVisible"
    width="30%"
    :before-close="handleClose"
  >
    <span>Вы уверены, что хотите удалить операцию?</span>
    <span slot="footer" class="dialog-footer">
      <el-button @click="cancelDelete">Отмена</el-button>
      <el-button type="primary" @click="confirmDelete">Удалить</el-button>
    </span>
  </el-dialog>
</template>

<script>
export default {
  props: {
    dialogVisible: {
      type: Boolean,
      default: false,
    },
  },
  methods: {
    handleClose() {
      this.$set(this.dialogVisible, false);
    },
    confirmDelete() {
      this.$emit("confirmDelete");
    },
    cancelDelete() {
      this.$emit("cancelDelete");
    },
  },
};
</script>

<style scoped></style>
